# La Chariotte

La Chariotte est une application web sous licence libre Affera GPL, développée et maintenue par [Hashbang](https://hashbang.fr/).

## Lancer les tests et linter

Lancer les tests avec pytest :

```bash
pytest
```

Si il y a des erreurs ISORT, on peut lancer isort pour trier les fichiers :
```bash
isort .
```

Si il y a des erreurs BLACK, on peut lancer black pour linter le code :
```bash
black .
```

Vérifier le formatage des fichers avec flake8 :
```bash
flake8
```

Si l'erreur `BLK100 Black would make changes.` apparait, on peut lancer black pour formater les fichiers : 

```bash
black .
```

